package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 查询配置对象 query_config
 * 
 * @author 博曼
 * @date 2021-12-27
 */
public class QueryConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 查询配置Id */
    private Long configId;

    /** 查询次数 */
    @Excel(name = "查询次数")
    private Integer queryNumber;

    /** 二维码失效单位 */
    @Excel(name = "二维码失效单位")
    private String qrUnit;

    /** 二维码失效时间 */
    @Excel(name = "二维码失效时间")
    private String qrTime;

    /** 单位查询主体 */
    @Excel(name = "单位查询主体")
    private String queryType;

    /** 查询方式 */
    @Excel(name = "查询方式")
    private String queryMode;

    /** 是否正常（N正常 Y停用） */
    @Excel(name = "是否正常", readConverterExp = "N=正常,Y=停用")
    private String status;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;

    public void setConfigId(Long configId) 
    {
        this.configId = configId;
    }

    public Long getConfigId() 
    {
        return configId;
    }
    public void setQueryNumber(Integer queryNumber) 
    {
        this.queryNumber = queryNumber;
    }

    public Integer getQueryNumber() 
    {
        return queryNumber;
    }
    public void setQrUnit(String qrUnit) 
    {
        this.qrUnit = qrUnit;
    }

    public String getQrUnit() 
    {
        return qrUnit;
    }
    public void setQrTime(String qrTime) 
    {
        this.qrTime = qrTime;
    }

    public String getQrTime() 
    {
        return qrTime;
    }
    public void setQueryType(String queryType) 
    {
        this.queryType = queryType;
    }

    public String getQueryType() 
    {
        return queryType;
    }
    public void setQueryMode(String queryMode) 
    {
        this.queryMode = queryMode;
    }

    public String getQueryMode() 
    {
        return queryMode;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("configId", getConfigId())
            .append("queryNumber", getQueryNumber())
            .append("qrUnit", getQrUnit())
            .append("qrTime", getQrTime())
            .append("queryType", getQueryType())
            .append("queryMode", getQueryMode())
            .append("status", getStatus())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
